Retrieve Site
Retrieve a specific Site by ID.
User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix.
Access is granted if:
- The Site is owned by the org’s Infrastructure Provider
- The org’s Tenant has an Allocation for Site
- The org’s Tenant is privileged and has Account with Site’s Provider
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
siteId
ID of the Site
Response
OK
id
Unique UUID v4 identifier for the Site in NICo Cloud
name
Name of the Site
description
Optional description for the Site
org
NGC organization ID of the Infrastructure Provider that owns the Site
infrastructureProviderId
ID of the Infrastructure Provider that owns the Site
siteControllerVersion
Version of the Site Controller software
siteAgentVersion
Version of the Site Agent software
registrationToken
Token that can be used to register a Site. Value only exposed to Provider
registrationTokenExpiration
Date/time when registration token expires. Value only exposed to Provider
serialConsoleHostname
Serial console hostname of the site controller
isSerialConsoleEnabled
Indicates if Serial Console is enabled for the Site by the Provider
serialConsoleIdleTimeout
Maximum idle time in seconds before Serial Console is disconnected
serialConsoleMaxSessionLength
Maximum length of Serial Console session in seconds
isSerialConsoleSSHKeysEnabled
Only visible to Tenant retrieving the Site. Indicates if Serial Console access using SSH Keys is enabled by Tenant
isOnline
Indicates if the Site is currently reachable from Cloud
status
Status of the Site
Allowed values:
statusHistory
Chronological status history for the Site
created
Date/time when the Site was created
updated
Date/time when the Site was last updated
location
Site location information. Null when unset
contact
Site contact information. Null when unset
capabilities
Site capabilities used for feature availability and configuration
machineStats
Machine counts by status for the Site. Populated on Site list requests when includeMachineStats is true; null otherwise. Sites with no Machines or Allocations return zeroed statistics when requested
gpuStats
GPU counts grouped by GPU type for the Site. Populated on Site list requests when includeGpuStats is true; null otherwise. Sites without GPUs return an empty array when requested
Errors
403
Forbidden Error